MiniConda - Installing QIIME2 (Error repport)

Hello :slight_smile:

I’ve just started learning how to use Qiime2/1; I was able to install it on an old MacBook Pro but impossible to do it in my new one. :slightly_frowning_face:
I’ve followed the guide to install MiniConda (so I have the latest version 4.5.11), and then when I try to install Qiime2 I have this:

MacBook-Pro-de-Veronica:~ veronica$ conda env create -n qiime2-2018.8 --file qiime2-2018.8-py35-osx-conda.yml

>>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<

Traceback (most recent call last):
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/conda/exceptions.py", line 819, in __call__
    return func(*args, **kwargs)
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/conda_env/cli/main.py", line 74, in do_call
    exit_code = getattr(module, func_name)(args, parser)
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/conda_env/cli/main_create.py", line 79, in execute
    directory=os.getcwd())
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/conda_env/specs/__init__.py", line 20, in detect
    if spec.can_handle():
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/conda_env/specs/yaml_file.py", line 14, in can_handle
    self._environment = env.from_file(self.filename)
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/conda_env/env.py", line 84, in from_file
    return from_yaml(yamlstr, filename=filename)
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/conda_env/env.py", line 72, in from_yaml
    data = yaml_load_standard(yamlstr)
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/conda/common/serialize.py", line 74, in yaml_load_standard
    return yaml.load(string, Loader=yaml.Loader, version="1.2")
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/ruamel_yaml/main.py", line 640, in load
    return loader._constructor.get_single_data()  # type: ignore
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/ruamel_yaml/constructor.py", line 102, in get_single_data
    node = self.composer.get_single_node()
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/ruamel_yaml/composer.py", line 75, in get_single_node
    document = self.compose_document()
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/ruamel_yaml/composer.py", line 99, in compose_document
    self.parser.get_event()
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/ruamel_yaml/parser.py", line 166, in get_event
    self.current_event = self.state()
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/ruamel_yaml/parser.py", line 244, in parse_document_end
    token = self.scanner.peek_token()
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/ruamel_yaml/scanner.py", line 173, in peek_token
    self.fetch_more_tokens()
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/ruamel_yaml/scanner.py", line 273, in fetch_more_tokens
    return self.fetch_value()
  File "/Users/veronica/miniconda3/lib/python3.7/site-packages/ruamel_yaml/scanner.py", line 626, in fetch_value
    self.reader.get_mark())
ruamel_yaml.scanner.ScannerError: mapping values are not allowed here
  in "<unicode string>", line 4, column 56:
     ... cted automatically to target URL: <a href="https://raw.githubuse ... 
                                         ^ (line: 4)

$ /Users/veronica/miniconda3/bin/conda-env create -n qiime2-2018.8 --file qiime2-2018.8-py35-osx-conda.yml

environment variables:
CIO_TEST=
CONDA_AUTO_UPDATE_CONDA=false
CONDA_ROOT=/Users/veronica/miniconda3
PATH=/Users/veronica/miniconda3/bin:/Users/veronica/miniconda3/bin:/Users/v
eronica/miniconda3/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin
REQUESTS_CA_BUNDLE=
SSL_CERT_FILE=

 active environment : None
   user config file : /Users/veronica/.condarc

populated config files :
conda version : 4.5.11
conda-build version : not installed
python version : 3.7.0.final.0
base environment : /Users/veronica/miniconda3 (writable)
channel URLs : https://repo.anaconda.com/pkgs/main/osx-64
https://repo.anaconda.com/pkgs/main/noarch
https://repo.anaconda.com/pkgs/free/osx-64
https://repo.anaconda.com/pkgs/free/noarch
https://repo.anaconda.com/pkgs/r/osx-64
https://repo.anaconda.com/pkgs/r/noarch
https://repo.anaconda.com/pkgs/pro/osx-64
https://repo.anaconda.com/pkgs/pro/noarch
package cache : /Users/veronica/miniconda3/pkgs
/Users/veronica/.conda/pkgs
envs directories : /Users/veronica/miniconda3/envs
/Users/veronica/.conda/envs
platform : osx-64
user-agent : conda/4.5.11 requests/2.19.1 CPython/3.7.0 Darwin/17.7.0 OSX/10.13.6
UID:GID : 501:20
netrc file : None
offline mode : False

An unexpected error has occurred. Conda has prepared the above report.

Thank you for your help !

Hi @Veronica!

I’m not sure how this happened, but it looks like when you downloaded the environment file:

https://data.qiime2.org/distro/core/qiime2-2018.8-py35-osx-conda.yml

It gave you back a webpage instead:

Perhaps GitHub had crashed just when you requested the download?


Either way, you should try deleting that file and downloading it again. Your steps all look correct to me.

Let me know how it goes!

Hey @ebolyen ! Thank you for your answer. :slight_smile:
Actually I did it several times yesterday but I always had the same problem;
But I noticed that yesterday I was using the curl command to download the file and today I used the wget, may be the problem came from there because today I successfully installed Qiime2! :partying_face:

3 Likes

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.